* {

  box-sizing: border-box;

}
body {

  font-family: '?', sans-serif;

}
.scene {
    width: 100%;
    height: 100%;
    min-height: 450px;
    position: relative;
    top: 0;
    left: 0;
    background-color: #ffffff; 
    transform: translate3d(0, 0, 0);
}
.level-1 {
    animation: animation_fg linear 30s infinite both;
    background: url('https://raw.githubusercontent.com/elizavetauharskih/files1/refs/heads/main/sloy%201.png') 0 100% repeat-x;
    z-index: 5;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: auto 100px;
}

.level-2 {
    animation: animation_fg linear 55s infinite both;
    background: url('https://raw.githubusercontent.com/elizavetauharskih/files1/refs/heads/main/sloy%202.png') 0 100% repeat-x;
    z-index: 4;
    position: absolute;
    bottom: 30;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: auto 110px;
}

.level-3 {
    animation: animation_fg linear 75s infinite both;
    background: url('https://raw.githubusercontent.com/elizavetauharskih/files1/refs/heads/main/sloy%203.png') 0 100% repeat-x;
    z-index: 3;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: auto 120px;
}

.level-4 {
    animation: animation_fg linear 95s infinite both;
    background: url('https://raw.githubusercontent.com/elizavetauharskih/files1/refs/heads/main/sloy%204.png') 0 100% repeat-x;
    z-index: 2;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: auto 200px;
}

.level-5 {
    animation: animation_fg linear 120s infinite both;
    background: url('https://raw.githubusercontent.com/elizavetauharskih/files1/refs/heads/main/sloy%205.jpg') 0 100% repeat-x;
    z-index: 1;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: auto 1000px;
}
.object-1 {
 background: url('https://raw.githubusercontent.com/elizavetauharskih/files1/refs/heads/main/object11.png') 0 100% no-repeat;
 z-index: 1;
 position: absolute;
 bottom: 100px;
 left: 0;
 width: 100%;
 height: 100%;
 background-size: auto 301px;
 animation: animation_object-1 linear 10s infinite both;
}

.object-2 {
 background: url('https://raw.githubusercontent.com/elizavetauharskih/files1/refs/heads/main/object%2022.png') 0 100% no-repeat;
 z-index: 1;
 position: absolute;
 bottom: 100px;
 left: 0;
 width: 100%;
 height: 100%;
 background-size: auto 204px;
 animation: animation_object-2 linear 15s infinite both;
}

@keyframes animation_fg {

  0% {

    background-position: 2765px 100%;

  }

  100% {

    background-position: 550px 100%;

  }

}
@keyframes animation_object-1 {

  0% {

    background-position: -300px 100%;

  }

  100% {

    background-position: 2000px 100%;

  }

}
@keyframes animation_object-2 {

  0% {

    background-position: -300px 100%;

  }

  100% {

    background-position: 2000px 100%;

  }

}
